@font-face {
  font-family: "PasswordBook";
  src: url("PasswordBook.ttf") format("truetype");
}

body {
  background: black;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family: Roboto, sans-serif;
}

h1 {
  font-family: "PasswordBook", serif;
  font-size: 3rem;
  color: #c8ff03;
  margin-bottom: 0;
}

h2 {
  font-family: "PasswordBook", serif;
  font-size: 2rem;
  color: #c8ff03;
  margin-top: 0;
  margin-bottom: 30px;
}

input {
  padding: 10px 15px;
  font-size: 1rem;
  border: none;
  border-radius: 8px;
  width: 280px;
  margin-bottom: 10px;
  background-color: #ffffff;
}

button {
  padding: 10px 25px;
  font-size: 1rem;
  background-color: #c8ff03;
  color: #3a0080;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  font-weight: bold;
  margin-bottom: 10px;
  width: 280px;
}

button:hover {
  background-color: #718d02;
}

#error {
  color: #ff0000;
  font-size: 0.9rem;
  font-weight: normal;
  margin-bottom: 10px;
}

#pass1,
#pass2 {
  background-color: white;
  color: #000000;
  padding: 10px 15px;
  border-radius: 8px;
  width: 280px;
  font-size: 0.95rem;
  font-weight: 600;
  word-break: break-all;
  margin-bottom: 8px;
  min-height: 45px;
  background-color: #27c7f8;
  cursor: pointer;
}

#pass1:hover, #pass2:hover{
    background-color: #b8ef00;
}